#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	XML 1.0 parser
Summary(es.UTF-8):	Parser de XML 1.0
Summary(pl.UTF-8):	Analizator składni XML-a 1.0
Summary(pt_BR.UTF-8):	Biblioteca XML expat
Summary(ru.UTF-8):	Переносимая библиотека разбора XML (expat)
Summary(uk.UTF-8):	Переносима бібліотека розбору XML (expat)
Name:		expat
Version:	2.6.4
Release:	1%{?tld}
Epoch:		1
License:	MIT
Group:		Applications/Publishing/XML
Source0:	https://downloads.sourceforge.net/expat/%{name}-%{version}.tar.xz
# Source0-md5:	101fe3e320a2800f36af8cf4045b45c7
URL:		http://www.libexpat.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	docbook2X
BuildRequires:	gcc >= 5:3.2
BuildRequires:	libtool >= 2:2.4
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libexpat1_95 < 2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

%description -l es.UTF-8
Expat es un parser de XML escrito en C. Pretende conformarse
totalmente al estándar. Actualmente no es un parser XML validante.

%description -l pl.UTF-8
Expat to napisany w języku C analizator składni XML-a. Dąży do pełnej
zgodności ze specyfikacją. Aktualnie nie jest analizatorem, który
potwiedzał by zgodność ze specyfikacją.

%description -l pt_BR.UTF-8
Esta é a biblioteca, em C, XML expat, de James Clark. É um analisador
orientado a fluxo de informações que pede o uso de handlers para lidar
com a estrutura que o analisador encontrar no documento.

%description -l ru.UTF-8
Expat -- парсер XML 1.0, написанный на C. Он предназначен для того,
чтобы быть полностью совместимым. В настоящее время это не проверяющий
("not a validating") XML парсер.

%description -l uk.UTF-8
Expat -- парсер XML 1.0, написаний на C. Розрахований на те, щоб бути
повністю сумісним. Наразі це не перевіряючий ("not a validating") XML
парсер.

%package devel
Summary:	Expat header files
Summary(es.UTF-8):	Archivos de inclusión del expat
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki expat
Summary(pt_BR.UTF-8):	Arquivos de inclusão do expat
Summary(ru.UTF-8):	Хедеры и библиотека, необходимые для программирования с expat
Summary(uk.UTF-8):	Хедери та бібліотека, необхідні для програмування з expat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libexpat1_95-devel < 2

%description devel
Expat header files.

%description devel -l es.UTF-8
Archivos de inclusión del expat.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki expat.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão do expat.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и библиотеки, необходимые для написания
программ, использующих libexpat.

%description devel -l uk.UTF-8
Цей пакет містить хедери та бібліотеки, необхідні для написання
програм, що використовують libexpat.

%package static
Summary:	Expat static library
Summary(es.UTF-8):	Biblioteca estática de expat
Summary(pl.UTF-8):	Biblioteka statyczna expat
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a biblioteca expat
Summary(ru.UTF-8):	Статическая библиотека для программирования с libexpat
Summary(uk.UTF-8):	Статична бібліотека для програмування з libexpat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description static
Expat static library.

%description static -l es.UTF-8
Biblioteca estática de expat.

%description static -l pl.UTF-8
Biblioteka statyczna expat.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a biblioteca expat.

%description static -l ru.UTF-8
Этот пакет содержит статическую библиотеку, необходимую для написания
программ, использующих libexpat.

%description static -l uk.UTF-8
Цей пакет містить статичну бібліотеку, необхідну для написання
програм, що використовують libexpat.

%package tools
Summary:	Expat utilities (xmlwf)
Summary(pl.UTF-8):	Programy narzędziowe do biblioteki Expat (xmlwf)
Group:		Applications/Text
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tools
Expat utilities:
- xmlwf: determines if an XML document is well-formed.

%description tools -l pl.UTF-8
Programy narzędziowe do biblioteki Expat:
- xmlwf: sprawdza, czy dokument XML jest dobrze sformułowany.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# remove SIZEOF_VOID_P define, see buildconf.sh
%{__sed} -i -e '/^\/\* The size of `void \*/,/^$/ d' expat_config.h.in
%configure \
	DOCBOOK_TO_MAN=docbook2X2man \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_aclocaldir}
cp -p conftools/expat.m4 $RPM_BUILD_ROOT%{_aclocaldir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING Changes README.md
%attr(755,root,root) %{_libdir}/libexpat.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexpat.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{reference.html,style.css}
%attr(755,root,root) %{_libdir}/libexpat.so
%{_libdir}/libexpat.la
%{_includedir}/expat*.h
%{_aclocaldir}/expat.m4
%{_pkgconfigdir}/expat.pc
%{_libdir}/cmake/expat-%{version}
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexpat.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmlwf
%{_mandir}/man1/xmlwf.1*
%changelog
* Mon Dec 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/expat.git;a=log;h=master

* Thu Nov 07 2024 Jan Palus <atler@pld-linux.org> d8acf52
- up to 2.6.4 (fixes CVE-2024-50602)

* Wed Sep 04 2024 Jan Palus <atler@pld-linux.org> 9f80238
- up to 2.6.3 (fixes CVE-2024-45490 CVE-2024-45491 CVE-2024-45492)

* Sun Mar 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 2cc39b0
- updated to 2.6.2 (fixes CVE-2023-52425 CVE-2023-52426 CVE-2024-28757)

* Wed Jan 18 2023 Jakub Bogusz <qboosh@pld-linux.org> b75d523
- updated to 2.5.0 (fixes CVE-2022-40674 CVE-2022-43680)

* Thu Mar 31 2022 Jan Palus <atler@pld-linux.org> 25b2a9c
- up to 2.4.8

* Thu Mar 10 2022 Jan Palus <atler@pld-linux.org> 686104f
- up to 2.4.7 (security fixes)

* Mon Feb 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 509a938
- updated to 2.4.4 (fixes CVE-2021-45960 CVE-2022-23852 CVE-2022-23990)

* Mon May 24 2021 Jan Palus <atler@pld-linux.org> 2aec458
- up to 2.4.1 (fixes CVE-2013-0340)

* Fri Mar 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 109c537
- updated to 2.3.0

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 419504a
- updated to 2.2.10 (few UB fixes)

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> b0c60a8
- updated to 2.2.9

* Sun Sep 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 3be5340
- updated to 2.2.8 (fixes CVE-2019-15903)

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 2fa4eb4
- updated to 2.2.7 (possible DoS fix)
- removed obsolete ac_fixes patch

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 830b1e1
- updated to 2.2.6

* Wed Nov 08 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 53b65e6
- up to 2.2.5

* Tue Oct 03 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ba9c7ef
- up to 2.2.4

* Sun Aug 13 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 57b5070
- up to 2.2.3

* Wed Jun 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 049a5df
- updated to 2.2.1 (fixes CVE-2016-5300 CVE-2016-9063 CVE-2017-9233 and more security related issues)

* Sun Aug 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4114bb8
- rel 4; patch obsolete

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 65c953a
- -tools epoch fix, release 3

